Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.proxy
Class RemoteMBeanProxyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      mx4j.tools.remote.proxy.RemoteMBeanProxyException

All Implemented Interfaces:
  java.io.Serializable

public class RemoteMBeanProxyException
extends javax.management.JMRuntimeException

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`RemoteMBeanProxyException()`
`RemoteMBeanProxyException(java.lang.Exception exception)`
`RemoteMBeanProxyException(java.lang.String message)`
`RemoteMBeanProxyException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`java.lang.Throwable` | `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteMBeanProxyException

    public RemoteMBeanProxyException()

### RemoteMBeanProxyException

    public RemoteMBeanProxyException(java.lang.String message)

### RemoteMBeanProxyException

    public RemoteMBeanProxyException(java.lang.Exception exception)

### RemoteMBeanProxyException

    public RemoteMBeanProxyException(java.lang.String message,
                                     java.lang.Exception exception)

Method Detail

### getCause

    public java.lang.Throwable getCause()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.